Package org.eclipse.ui.progress

## Interface IProgressConstants2

All Superinterfaces:
  `IProgressConstants`

    public interface IProgressConstants2
    extends IProgressConstants

Constants relating to progress UI functionality of the workbench plug-in.

The constants define property keys that are used to associate UI related information with Jobs (`org.eclipse.core.runtime.jobs.Job`). This class is a superset of all previously defined progress constants.

Since:
  3.6
See Also:
  `Job.setProperty(org.eclipse.core.runtime.QualifiedName, java.lang.Object)`, `IProgressConstants`
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static QualifiedName` `COMMAND_PROPERTY` This property is used to associate a `ParameterizedCommand` with a Job.
`static String` `PROPERTY_PREFIX` Common prefix for properties defined in this interface.
`static QualifiedName` `SHOW_IN_TASKBAR_ICON_PROPERTY` This property provides a hint to the progress UI to show the progress of the job in the application TaskBar

### Fields inherited from interface org.eclipse.ui.progress.IProgressConstants

`ACTION_PROPERTY, ICON_PROPERTY, KEEP_PROPERTY, KEEPONE_PROPERTY, NO_IMMEDIATE_ERROR_PROMPT_PROPERTY, PROGRESS_VIEW_ID, PROPERTY_IN_DIALOG`

### Field Detail

#### PROPERTY_PREFIX

    static final String PROPERTY_PREFIX

Common prefix for properties defined in this interface.

See Also:
  Constant Field Values

#### COMMAND_PROPERTY

    static final QualifiedName COMMAND_PROPERTY

This property is used to associate a `ParameterizedCommand` with a Job. If the Job is shown in the UI, the command might be represented as a button or hyper link to allow the user to trigger a job specific action, like showing the Job's results.

Note: Only one of `ACTION_PROPERTY` or `COMMAND_PROPERTY` should be used

See Also:
  `ParameterizedCommand`

#### SHOW_IN_TASKBAR_ICON_PROPERTY

    static final QualifiedName SHOW_IN_TASKBAR_ICON_PROPERTY

This property provides a hint to the progress UI to show the progress of the job in the application TaskBar

The property must be of type `Boolean` and the hint is used if its value is `true`.